Subject: Re: [PATCH v6] powerpc: Do not make the entire heap executable

From: Jason Gunthorpe <[email-masked]>
Date: Thu, 20 Oct 2016 16:45:21 -0600

On Tue, Oct 04, 2016 at 09:54:12AM -0700, Kees Cook wrote:
> On Mon, Oct 3, 2016 at 5:18 PM, Michael Ellerman <[email-masked]> wrote:
> > Kees Cook <[email-masked]> writes:
> >
> >> On Mon, Oct 3, 2016 at 9:13 AM, Denys Vlasenko <[email-masked]> wrote:
> >>> On 32-bit powerpc the ELF PLT sections of binaries (built with --bss-plt,
> >>> or with a toolchain which defaults to it) look like this:
> > ...
> >>>
> >>> Signed-off-by: Jason Gunthorpe <[email-masked]>
> >>> Signed-off-by: Denys Vlasenko <[email-masked]>
> >>> Acked-by: Kees Cook <[email-masked]>
> >>> Acked-by: Michael Ellerman <[email-masked]>
> >>> CC: Benjamin Herrenschmidt <[email-masked]>
> >>> CC: Paul Mackerras <[email-masked]>
> >>> CC: "Aneesh Kumar K.V" <[email-masked]>
> >>> CC: Kees Cook <[email-masked]>
> >>> CC: Oleg Nesterov <[email-masked]>
> >>> CC: Michael Ellerman <[email-masked]>
> >>> CC: Florian Weimer <[email-masked]>
> >>> CC: [email-masked]
> >>> CC: [email-masked]
> >>> CC: [email-masked]
> >>> Changes since v5:
> >>> * made do_brk_flags() error out if any bits other than VM_EXEC are set.
> >>>   (Kees Cook: "With this, I'd be happy to Ack.")
> >>>   See https://patchwork.ozlabs.org/patch/661595/
> >>
> >> Excellent, thanks for the v6! Should this go via the ppc tree or the -mm tree?
> >
> > -mm would be best, given the diffstat I think it's less likely to
> >  conflict if it goes via -mm.
> 
> Okay, excellent. Andrew, do you have this already in email? I think
> you weren't on the explicit CC from the v6...

FWIW (and ping),

Tested-by: Jason Gunthorpe <[email-masked]>

On ARM32 (kirkwood) and PPC32 (405)

For reference, here is the patchwork URL:

https://patchwork.ozlabs.org/patch/677753/

Jason